COMPILE {base} | R Documentation

## Compile Files for Use with R

### Description

The given source files are compiled so that they can subsequently be collected into a shared library using `R SHLIB` and be loaded into R using `dyn.load()`.

### Usage

    R COMPILE [options] srcfiles

### Arguments

`srcfiles` | A list of the names of source files to be compiled. Currently, C, C++ and FORTRAN are supported; the corresponding files should have the extensions ``.c`', ``.cc`', and ``.f`', respectively.
`options` | A list of compile-relevant settings, such as special values for `CFLAGS` or `FFLAGS`.

### See Also

`SHLIB`, `dyn.load`

[Package Contents]